
### Human V-ATPase in state 1 with SidK and ADP
# DOI: 10.2210/pdb6WM2/pdbEMDataResource: EMD-21847

# delete all objects and reset pymol
reinitialize
# set the background color to white
bg_color white
# make the background transparent for ray trace 
set ray_opaque_background, 0
# set the ray trace mode
# normal color
set ray_trace_mode, 0
# normal color + black outline
#set ray_trace_mode,  1
# black outline only
#set ray_trace_mode,  2
# turn off shadows during ray trace
set ray_shadows, 0
# set the mouse mode for laptop.
config_mouse one_button
# get rid of double bonds and skinny bonds to H
set stick_h_scale, 1
set valence, 0
# high quality surfaces
set surface_quality, 3


fetch 6WM2, ATPase


create ATPase2, ATPase

hide everything, ATPase
show cartoon, ATPase
set cartoon_cylindrical_helices,1
util.cbc(selection='(all)',first_color=7,quiet=1,legacy=0,_self=cmd)
color blue, chain A+B+C
color red, chain D+E+F


hide everything, ATPase2
show sticks, ATPase2
color red, name O* and ATPase2
color wheat, name C* and ATPase2
color blue, name N* and ATPase2
color yellow, name P* and ATPase2
color yellow, name S* and ATPase2

create ADP_sphere, resn ADP

hide everything, ADP_sphere
show spheres, ADP_sphere
color red, name O* and ADP_sphere
color magenta, name C* and ADP_sphere
color blue, name N* and ADP_sphere
color yellow, name P* and ADP_sphere
color yellow, name S* and ADP_sphere

create ADP_stick, ADP_sphere
hide everything, ADP_stick
show sticks, ADP_stick
h_add ADP_stick
remove /ADP_stick/YA/C/ADP`701/H17
remove /ADP_stick/YA/C/ADP`701/H18

create pocket_sphere, byres(ATPase within 4 of ADP_sphere)
remove (pocket_sphere within .1 of ADP_sphere)
color red, name O* and pocket_sphere
color cyan, name C* and pocket_sphere
color blue, name N* and pocket_sphere
color yellow, name P* and pocket_sphere
color yellow, name S* and pocket_sphere
hide everything, pocket_sphere
show spheres, pocket_sphere

create pocket_stick, pocket_sphere
hide everything, pocket_stick
show sticks, pocket_stick
h_add pocket_stick


distance hbond1, (ADP_stick and (name N* or name O*)), (pocket_stick and name H*), 2.4
distance hbond1, (ADP_stick and name H*), (pocket_stick and (name N* or name O*)), 2.4
# set the font of object dist_object
set label_font_id=5, hbond1
# set the dash width
set dash_width=4.5, hbond1
# set the color
color black, hbond1

disable all
enable ATPase

set_view (\
     0.600419819,   -0.588876009,   -0.541037321,\
    -0.164192677,   -0.752929330,    0.637289584,\
    -0.782647312,   -0.293807298,   -0.548763394,\
     0.000122078,    0.000286460, -943.184448242,\
   195.332778931,  203.184890747,  202.731994629,\
   785.214111328, 1101.178588867,  -20.000000000 )



